Freeciv-3.3: packet_city_short_info Struct Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Data Fields
packet_city_short_info Struct Reference

`#include <packets_gen.h>`

## Data Fields

int | id
int | tile
int | owner
int | size
int | style
enum capital_type | capital
bool | occupied
int | walls
bool | happy
bool | unhappy
int | city_image
bv_imprs | improvements
char | name [MAX_LEN_CITYNAME]

## Detailed Description

Definition at line 403 of file packets_gen.h.

## Field Documentation

## ◆ capital

enum capital_type packet_city_short_info::capital

Definition at line 409 of file packets_gen.h.

Referenced by handle_city_short_info(), package_dumb_city(), and send_packet_city_short_info_100().

## ◆ city_image

int packet_city_short_info::city_image

Definition at line 414 of file packets_gen.h.

Referenced by handle_city_short_info(), package_dumb_city(), and send_packet_city_short_info_100().

## ◆ happy

bool packet_city_short_info::happy

Definition at line 412 of file packets_gen.h.

Referenced by handle_city_short_info(), package_dumb_city(), and send_packet_city_short_info_100().

## ◆ id

int packet_city_short_info::id

Definition at line 404 of file packets_gen.h.

Referenced by handle_city_short_info(), and package_dumb_city().

## ◆ improvements

bv_imprs packet_city_short_info::improvements

Definition at line 415 of file packets_gen.h.

Referenced by handle_city_short_info(), package_dumb_city(), and send_packet_city_short_info_100().

## ◆ name

char packet_city_short_info::name[MAX_LEN_CITYNAME]

Definition at line 416 of file packets_gen.h.

Referenced by handle_city_short_info(), package_dumb_city(), and send_packet_city_short_info_100().

## ◆ occupied

bool packet_city_short_info::occupied

Definition at line 410 of file packets_gen.h.

Referenced by handle_city_short_info(), package_dumb_city(), and send_packet_city_short_info_100().

## ◆ owner

int packet_city_short_info::owner

Definition at line 406 of file packets_gen.h.

Referenced by handle_city_short_info(), package_dumb_city(), and send_packet_city_short_info_100().

## ◆ size

int packet_city_short_info::size

Definition at line 407 of file packets_gen.h.

Referenced by handle_city_short_info(), package_dumb_city(), and send_packet_city_short_info_100().

## ◆ style

int packet_city_short_info::style

Definition at line 408 of file packets_gen.h.

Referenced by handle_city_short_info(), package_dumb_city(), and send_packet_city_short_info_100().

## ◆ tile

int packet_city_short_info::tile

Definition at line 405 of file packets_gen.h.

Referenced by handle_city_short_info(), package_dumb_city(), and send_packet_city_short_info_100().

## ◆ unhappy

bool packet_city_short_info::unhappy

Definition at line 413 of file packets_gen.h.

Referenced by handle_city_short_info(), package_dumb_city(), and send_packet_city_short_info_100().

## ◆ walls

int packet_city_short_info::walls

Definition at line 411 of file packets_gen.h.

Referenced by handle_city_short_info(), package_dumb_city(), and send_packet_city_short_info_100().